## Common utilities

Common utilities — Common utilities in the libmbim-glib library.

## Functions

gboolean | mbim_utils_get_traces_enabled ()
void | mbim_utils_set_traces_enabled ()
void | mbim_utils_set_show_personal_info ()
gboolean | mbim_utils_get_show_personal_info ()

## Description

This section exposes a set of common utilities that may be used to work with the libmbim-glib library.

## Functions

### mbim_utils_get_traces_enabled ()

    gboolean
    mbim_utils_get_traces_enabled (void);

Checks whether MBIM message traces are currently enabled.

#### Returns

`TRUE` if traces are enabled, `FALSE` otherwise.

Since: 1.0

### mbim_utils_set_traces_enabled ()

    void
    mbim_utils_set_traces_enabled (gboolean enabled);

Sets whether MBIM message traces are enabled or disabled.

#### Parameters

enabled | `TRUE` to enable traces, `FALSE` to disable them. |

Since: 1.0

### mbim_utils_set_show_personal_info ()

    void
    mbim_utils_set_show_personal_info (gboolean show_personal_info);

Sets whether personal info is printed when traces are enabled.

#### Parameters

show_personal_info | `TRUE` to show personal info in traces, `FALSE` otherwise. |

Since: 1.28

### mbim_utils_get_show_personal_info ()

    gboolean
    mbim_utils_get_show_personal_info (void);

Checks whether personal info should be hidden when traces are enabled.

#### Returns

`TRUE` to show personal info in trace, `FALSE` otherwise.

Since: 1.28